Page MenuHomePhabricator

[Sanitizers] Fix lint failure with Python 3.6
ClosedPublic

Authored by nemanjai on Jul 29 2020, 5:42 PM.

Details

Summary

There are some files in compiler-rt that use UTF-8 characters in some of the comments. This causes lint failures with some versions of Python. This patch just makes the encoding implicit in the call to open.

Diff Detail

Event Timeline

nemanjai created this revision.Jul 29 2020, 5:42 PM
Herald added a project: Restricted Project. · View Herald TranscriptJul 29 2020, 5:42 PM
Herald added a subscriber: Restricted Project. · View Herald Transcript
nemanjai requested review of this revision.Jul 29 2020, 5:42 PM
NeHuang accepted this revision.Jul 30 2020, 2:17 PM
NeHuang added a subscriber: NeHuang.

LGTM.

This revision is now accepted and ready to land.Jul 30 2020, 2:17 PM
nemanjai closed this revision.Jul 31 2020, 4:27 AM

I forgot to add the differential revision to the commit message.
Committed in https://reviews.llvm.org/rGacb3b8dce1cd